get_alpha_centrality {DiagrammeR} | R Documentation

## Get the alpha centrality for nodes in the graph

### Description

Get the alpha centrality values for all nodes in the graph.

### Usage

    get_alpha_centrality(graph, alpha = 1, exo = 1, weights_attr = NULL,
      tol = 1e-07)

### Arguments

`graph` | a graph object of class `dgr_graph`.
`alpha` | the parameter that specifies the relative importance of endogenous versus exogenous factors in the determination of centrality.
`exo` | the exogenous factors, in most cases this is either a constant (which applies the same factor to every node), or a vector giving the factor for every node.
`weights_attr` | an optional name of the edge attribute to use in the adjacency matrix. If `NULL` then, if it exists, the `weight` edge attribute of the graph will be used. Failing that, the standard adjacency matrix will be used in calculations.
`tol` | the tolerance for near-singularities during matrix inversion. Default value is set to `1e-7`.

### Value

a data frame with alpha centrality scores for each of the nodes.

### Examples

    # Create a random graph
    graph <-
      create_random_graph(
        n = 10, m = 22,
        set_seed = 23)

    # Get the alpha centrality scores for nodes
    # in the graph
    get_alpha_centrality(graph)
    #>    id alpha_centrality
    #> 1   1                1
    #> 2   2                1
    #> 3   3                2
    #> 4   4                1
    #> 5   5                4
    #> 6   6                9
    #> 7   7                5
    #> 8   8               11
    #> 9   9               18
    #> 10 10               34

[Package DiagrammeR version 0.9.2 Index]